diff --git a/src/linux.c b/src/linux.c
index ce5f733..bbf8dc5 100644
--- a/src/linux.c
+++ b/src/linux.c
@@ -80,6 +80,10 @@
 #define NBD_MAJOR 43
 #endif
 
+#if !defined(DM_MAJOR)
+#define DM_MAJOR 253
+#endif
+
 #ifdef HAVE_IWLIB
 #include <iwlib.h>
 #endif
@@ -2336,7 +2340,8 @@ int update_diskio(void)
 		 *
 		 * XXX: ignore devices which are part of a SW RAID (MD_MAJOR) */
 		if (col_count == 5 && major != LVM_BLK_MAJOR && major != NBD_MAJOR
-				&& major != RAMDISK_MAJOR && major != LOOP_MAJOR) {
+				&& major != RAMDISK_MAJOR && major != LOOP_MAJOR
+				&& major != DM_MAJOR ) {
 			/* check needed for kernel >= 2.6.31, see sf #2942117 */
 			if (is_disk(devbuf)) {
 				total_reads += reads;
